libzypp: zypp::solver::detail::SolverQueueItemLock Class Reference

libzypp 17.38.6

zypp::solver::detail::SolverQueueItemLock Class Reference

`#include <zypp/solver/detail/SolverQueueItemLock.h>`

Inheritance diagram for zypp::solver::detail::SolverQueueItemLock:

## Public Member Functions
| SolverQueueItemLock (const ResPool &pool, const PoolItem &item, bool soft=false)
virtual | ~SolverQueueItemLock ()
virtual std::ostream & | dumpOn (std::ostream &str) const
bool | isSoft (void) const
virtual bool | addRule (sat::detail::CQueue &q)
virtual SolverQueueItem_Ptr | copy (void) const
virtual int | cmp (SolverQueueItem_constPtr item) const

## Private Attributes
PoolItem | _item
bool | _soft

## Friends
std::ostream & | operator<< (std::ostream &str, const SolverQueueItemLock &obj)

## Detailed Description

Definition at line 44 of file SolverQueueItemLock.h.

## Constructor & Destructor Documentation

## ◆ SolverQueueItemLock()

zypp::solver::detail::SolverQueueItemLock::SolverQueueItemLock | ( | const ResPool & | pool,
|  | const PoolItem & | item,
|  | bool | soft = false )

Definition at line 58 of file SolverQueueItemLock.cc.

## ◆ ~SolverQueueItemLock()

zypp::solver::detail::SolverQueueItemLock::~SolverQueueItemLock | ( |  | ) |
| virtual

Definition at line 67 of file SolverQueueItemLock.cc.

## Member Function Documentation

## ◆ dumpOn()

std::ostream & zypp::solver::detail::SolverQueueItemLock::dumpOn | ( | std::ostream & | str | ) | const
| virtual

Definition at line 48 of file SolverQueueItemLock.cc.

## ◆ isSoft()

bool zypp::solver::detail::SolverQueueItemLock::isSoft | ( | void |  | ) | const
| inline

Definition at line 65 of file SolverQueueItemLock.h.

## ◆ addRule()

bool zypp::solver::detail::SolverQueueItemLock::addRule | ( | sat::detail::CQueue & | q | ) |
| virtual

Definition at line 73 of file SolverQueueItemLock.cc.

## ◆ copy()

SolverQueueItem_Ptr zypp::solver::detail::SolverQueueItemLock::copy | ( | void |  | ) | const
| virtual

Definition at line 99 of file SolverQueueItemLock.cc.

## ◆ cmp()

int zypp::solver::detail::SolverQueueItemLock::cmp | ( | SolverQueueItem_constPtr | item | ) | const
| virtual

Definition at line 109 of file SolverQueueItemLock.cc.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | str,
|  | const SolverQueueItemLock & | obj )
| friend

Definition at line 60 of file SolverQueueItemLock.h.

## Member Data Documentation

## ◆ _item

PoolItem zypp::solver::detail::SolverQueueItemLock::_item
| private

Definition at line 48 of file SolverQueueItemLock.h.

## ◆ _soft

bool zypp::solver::detail::SolverQueueItemLock::_soft
| private

Definition at line 49 of file SolverQueueItemLock.h.

The documentation for this class was generated from the following files:

- zypp/solver/detail/SolverQueueItemLock.h
- zypp/solver/detail/SolverQueueItemLock.cc